import type { Attributes } from '../sdk/AttributesSingleton/types';
import { EventMapper } from '../sdk/EventMappers/EventMapper';
import type { UserInfo } from '../sdk/UserInfoSingleton/types';
import type { LogEvent, LogEventMapper, NativeLog, RawLog } from './types';
export declare const formatLogEventToNativeLog: (logEvent: LogEvent) => NativeLog;
export declare const formatRawLogToNativeEvent: (rawLog: RawLog) => NativeLog;
export declare const formatRawLogToLogEvent: (rawLog: RawLog, additionalInformation: {
    userInfo: UserInfo;
    attributes: Attributes;
}) => LogEvent;
export declare const generateEventMapper: (logEventMapper: LogEventMapper | undefined) => EventMapper<RawLog, LogEvent, NativeLog>;
